select
  an.numero as "Nmero da vaca"
  , an.cdanimal
  , lei.dtleite as "Data"
  , lei.pesototal as "Produo do dia"
  , al.gordura as "Gordura"
  , al.proteina as "Protena"
  , al.ccs as "CCS"
from
  animal an
  join leite lei on lei.cdanimal = an.cdanimal
  left join analiseleite al on al.cdanimal = lei.cdanimal and al.dtanaliseleite = lei.dtleite
where
  an.tipoanimal = 'A'
  and an.animalrebanho = 1
order by 1, 2
